Quassel IRC - Bug #638
PostgreSQL database creation / merge fails.

03/21/2009 04:07 PM - thObrO

Status: Rejected Start date: 03/21/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.4.0+ 0S: Linux
Description

Hi,

| got a fresh git clone running here.
Yet, the PostgreSQL backend doesn't work.
Regardless of whether I'm attempting to convert an SQLite database to PostgreSQL or try to initialize one, PostgreSQL query errors

are reported:

2009-03-21 15:43:32 Error: Storage Schema is missing!
2009-03-21 15:43:32 Error: unhandled Error in QSglQuery!
2009-03-21 15:43:32 Error: last Query:

log (bufferid, messageid DESC)

2009-03-21 15:43:32 Error: executed Query:
2009-03-21 15:43:32 Error: bound Values:
2009-03-21 15:43:32 Error: Error Number: -1
2009-03-21 15:43:32 Error: Error Message: ERROR:
character 66QPSQL: Unable to create query

2009-03-21 15:43:32 Error: Driver Message: QPSQL:
2009-03-21 15:43:32 Error: DB Message: ERROR:
character 66

2009-03-21 15:43:32 Error: Unable to setup Logging Backend!
2009-03-21 15:43:32

CREATE INDEX backlog_bufferid_idx ON back

syntax error at or near "DESC" at

Unable to create query
syntax error at or near "DESC" at

Error: Selected storage backend is not available: "PostgreSQL"

PostgreSQL version: 8.0.15
Distribution: Gentoo Hardened

| followed the howto on the wiki, permissions are set correctly. As you can see, connection and interaction to / with PostgreSQL is

working fine.

History

#1 - 03/21/2009 04:51 PM - EgS

- Status changed from New to Rejected

Quassel requires Postgres Version 8.3.0+

| think we should put that into the wiki :)
